{
	"format_version": "1.16.100",
	"minecraft:item": {
		"description": {
			"identifier": "bd:huggy_spell",
			"category": "equipment"
		},
		"components": {
			"minecraft:max_stack_size": 1,
			"minecraft:use_duration": 6,
			"minecraft:icon": {
				"texture": "huggy_armor"
			},
			"minecraft:display_name": {
				"value": "§6§l拒绝你的人性"
			},
			"minecraft:on_use": {
				"on_use": {
					"event": "bd:hehe",
					"target": "self"
				}
			},
			"minecraft:hand_equipped": true
		},
		"events": {
			"bd:hehe": {
				"condition": "query.main_hand_item_max_duration > 3",
				"sequence": [
					{
						"run_command": {
						  "command": [
							"function huggy_morph/as_huggy"
						  ],
						  "target": "holder"
						}
					},
					{
						"decrement_stack": {
							"ignore_game_mode": true
						}
					}
				]
			}
		}
	}
}